package com.fjhx.service.material;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.material.Material;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 物料 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-05
 */
public interface MaterialService extends StorageBaseService<Material> {

    Page<Material> getPage(Map<String, String> condition);

    String getDelayPeriod();

    void setDelayPeriod(Map<String, Integer> condition);

    List<Map<String, Object>> getMaterialBySupplierId(Long supplierId);

    Page<Map<String, Object>> getStockPage(Condition condition);

    Page<Map<String, Object>> getMaterialAndStock(Condition condition);

}
